::selection
{
  color: white;
  background: #00A3FF;
}

::-moz-selection
{
  color: white;
  background: #00A3FF;
}

body {
  border: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 100%;
  vertical-align: baseline;
  height: 100%;
  margin: 0;
  padding: 0;
  position: relative;
  background-color: #9ccfe7;
  font-family: Tahoma,Arial,Geneva,sans-serif;
  -webkit-font-smoothing: antialiased;
}

table, tr, td 
{
  font-family: Tahoma,Arial,Geneva,sans-serif;
  font-size: 12px;
  font-weight: normal;
  color: #333;
  line-height: 150%;
  padding: 0;
  border-collapse: collapse;
}

p, div, ul, li 
{
  font-family: Tahoma,Arial,Geneva,sans-serif;
  font-size: 12px;
  font-weight: normal;
  color: #333;
  text-align: left;
}

div.message p {
  font-weight: bold;
}

p 
{
  display: block;
  margin:0;
  padding: 5px 0px 0px 0px;
}

li 
{
  list-style-type: none;
}

ol li 
{
  list-style: decimal;
}

ul li 
{
  list-style-type: none;
}

li 
{
  margin: 5px 0px;
}

ul.checkmarks li, ul.checkmarks.intext li
{
  background: rgba(0, 0, 0, 0) url("images/checkmark.png");
  background-repeat: no-repeat;
  background-position: 0 0;
  padding: 1px 0 1px 22px;
  margin: 0;
}

ul.checkmarks.intext li
{
  margin: 5px 0;
}

ul.arrows li
{
  background: rgba(0, 0, 0, 0) url("images/arrow.png");
  background-repeat: no-repeat;
  background-position: 0 4px;
  padding: 1px 0 1px 10px;
  margin: 0;
}

quote
{ 
  margin: 10px 2px; 
  font-style: italic; 
  display: block; 
  padding: 5px; 
  border: 1px solid #039; 
  background-color:#b9c9fe; 
  border-radius: 10px;
  -moz-border-radius: 10px; 
  -webkit-border-radius: 10px;
 }

/* 1.2 BASIC RESET */
html
{
  height:100%;
  overflow: hidden;
}

#settingsContainer ul li
{
  background-color: #CCCCCC;
  margin:0;
  padding:0;
  background-image:none;
}
#settingsContainer ul li.active
{
  background-color: #FFFFFF;
  border-bottom:1px solid #FFFFFF;
}

/* 2. Design Elements */
.clear 
{
  clear:both;
}

div,p 
{
  margin-top:0;
}

div.trace 
{
  margin-top:15px;
}

.offlinedoc .background .container div.hints p, .offlinedoc .background .container div.trace p {
  font-size: 12px;
}

.offlinedoc .background .container div.hints span, .offlinedoc .background .container div.trace span {
  font-size: 12px;
}

.offlinedoc .background .container div.message {
  padding: 10px 0;
}

.offlinedoc .background .container div.message p {
  font-size: 12px;
  font-weight: bold;
  line-height: 155%;
  margin: 0;
}

/* BANNERPANE */

.topBar 
{
  display: flex;
  justify-content: space-between;
}

#NavButtons {
  display: flex;
  justify-content: space-between;
}

#NavButtons ul
{
  margin: 0;
  display: flex;
  align-items: center;
  margin-top: auto;
}

#NavButtons ul li
{
  list-style-type:none;
  font-family: Tahoma,Arial,Geneva,sans-serif;
  display: flex;
  align-items: center;
  margin: 0 2px;
}

#NavButtons ul li a {
  color: #6f6f6f;
}

#NavButtons ul li a.facebook-link, #NavButtons ul li a.bluesky-link, #NavButtons ul li a.twitter-link, #NavButtons ul li a.linkedin-link, #NavButtons ul li a.youtube-link, #NavButtons ul li a.google-link, #NavButtons ul li a.rss-link
{
  background: url('../images/sprite.svg');
  width: 28px;
  height: 25px;
  display: block;
  background-size: 200%;
}

#NavButtons ul li a.facebook-link
{
  background-position: 0 0;
}

#NavButtons ul li a.twitter-link
{
  background-position: 100% 0;
}

#NavButtons ul li a.linkedin-link
{
  background-position: 0 26%;
}

#NavButtons ul li a.youtube-link
{
  background-position: 100% 26%;
}
#NavButtons ul li a.bluesky-link
{
  background-position: 0 74%;
}

#NavButtons .plusone_0
{
  float:right;
  width:120px;
  height:20px;
}

#NavButtons .telephone-image, #NavButtons .mail-image
{
  background-image: url("../images/sprite.svg");
  width: 24px;
  height: 24px;
  background-size: 200%;
  display: inline-block;
  vertical-align: middle;
}

#NavButtons .forums-image
{
  background-image: url("../images/forums.svg");
  width: 16px;
  height: 16px;
  background-size: cover;
  display: inline-block;
  vertical-align: middle;
}

#NavButtons .telephone-image
{
  background-position: 0 50%;
}

#NavButtons .mail-image
{
  background-position: 100% 50%;
}

.headerWrapper {
  display: flex;
  padding: 0 5px;
  align-items: center;
  background: #48aff2;
  box-shadow: 3px 3px 0 0 rgba(0, 0, 0, 0.06);
}

h1, h1 .head , h2 , h3, h4, h5, h6
{
  font-family: Open Sans, Tahoma,Arial,Geneva,sans-serif;
  font-size: 20px;
  font-weight: bold;
  line-height: 104%;
  color: #3399cc;
  border: none;
  vertical-align: top;
  width: 100%;
  margin-top:5px;
  margin-bottom: 5px;
}

h2
{
  font-size: 16px;
  line-height: 130%;
  color: #2c303a;
  margin:15px 0 0 0;
}

h3 
{
  font-size: 14px;
  font-weight: normal;
  line-height: 130%;
  color: #000000;
  margin-top:15px;
  letter-spacing: 0px;
}

h4 
{
  font-size: 12px;
  font-weight: 500;
  line-height: 130%;
  color: #439bc6;
  margin-top:0;
}
h5 
{
  font-size: 12px;
  font-weight: 500;
  line-height: 130%;
  color: #000000;
  margin-top:0;
}
h6 
{
  font-size: 12px;
  font-weight: 500;
  line-height: 130%;
  color: #439bc6;
  margin-top:0;
}

/*========================================================*/
/* 6. Links */
/*========================================================*/

a:active,
a:visited,
a:link 
{
  color: #48aff2;
  text-decoration: none;
}

a:hover 
{
  color: #079dff;
  text-decoration: underline;
}

/*========================================================*/
/* 7. Forms */
/*========================================================*/

.offlinedoc .user-name input
{
  color: #444;
  width: 26%;
}

.offlinedoc .password input
{
  color: #444;
  width: 26%;
}

.offlinedoc .refresh-token input
{
  color: #444;
  width: 80%;
}

select 
{
  color: #444;
}

.background
{
  position: relative;
  overflow:hidden;
  padding: 10px;
  background: #f5f5f5;
  border: 1px solid #bfbfbf;
  box-shadow: 3px 3px 0 0 rgba(0, 0, 0, 0.06);
  display: flex;
  flex-direction: column;
  align-self: flex-start;
}

.topBar > a {
  padding-top: 10px;
}

.invantiveLogo .logo
{
  display: block;
  width: 128px;
  height: 64px;
  background-image: url(../images/invantive-logo.svg);
  background-repeat: no-repeat;
  background-size: contain;
}

/*--------------------*/
/*------ ReadMe ------*/
/*--------------------*/

.offlinedoc
{
  background: #ecf0f3;
}

.offlinedoc .background
{
  width: 800px;
  margin: 10px auto;
  background: #f5f5f5;
  border: 1px solid #bfbfbf;
  box-shadow: 3px 3px 0 0 rgba(0, 0, 0, 0.06);
}

.offlinedoc .background .container pre 
{
  margin: 0 10px;
}

.offlinedoc .background .container pre code
{
  white-space: pre-wrap;
}

.offlinedoc .background .container h1 {
  font-weight: 600;
  color: white;
  display: flex;
  width: auto;
  font-size: 20px;
  align-items: center;
}

.offlinedoc .background .container h2
{
  font-weight: normal;
  font-size: 22px;
  color: #48aff2;
  padding: 0;
  margin: 5px;
}

.offlinedoc .background .container h2.quickstart
{
  clear: left;
}

.offlinedoc .background .container img.productimage
{
  display: inline-block;
  width: 20px;
  height: 20px;
  margin: 0 5px 0 0;
  vertical-align: middle;
  border: 1px solid white;
  border-radius: 5px;
}

.offlinedoc .background .container .error-right
{
  display: inline-block;
  max-width: 600px;
  margin-left: 15px;
}

 .offlinedoc .background .container .error-right pre
{
  white-space: pre-wrap;
}

.offlinedoc .background .container .error-right h2
{
  margin:0 ;
}

.offlinedoc .background .container p a
{
  text-decoration: underline;
}

.offlinedoc .background .container p
{
  line-height: 120%;
  padding: 0;
  word-wrap: break-word;
  margin: 5px;
}

.offlinedoc h3
{
  counter-increment: steps;
}

.offlinedoc h3:before
{
  content: "" counter(steps) "";
  background: #9ECB2D;
  color: white;
  padding:5px 15px;
  border-radius: 15px;
  margin:3px 9px 3px 0px;
}

.offlinedoc .background .container ul li.warning
{
  background: rgba(0, 0, 0, 0) url("images/warning.png");
  background-repeat: no-repeat;
  background-position: 0 0;
}

.hints, .trace {
  background: #ffffff;
  padding: 10px;
  border: 1px solid #bfbfbf;
}

.offlinedoc .background .container .hints p {
  line-height: 100%;
  margin: 5px 0 0 0;
}

.hintscontent ul {
  padding: 0;
}

.hints .supportMessage {
  font-size: 15px;
  font-weight: 700;
  background: #48aff2;
  color: white;
  display: flex;
  padding: 2px 5px;
}

.trace .supportMessage {
    font-size: 15px;
    font-weight: 700;
    background: #48aff2;
    color: white;
    display: flex;
    padding: 2px 5px;
}

.offlinedoc .background .container :not(.trace) ul li
{
  background: rgba(0, 0, 0, 0) url("../images/checkmark.png");
  background-repeat: no-repeat;
  background-position: 0 0;
  padding: 0 0 0 20px;
}

.offlinedoc .background .container .message ul 
{
  display: flex;
  padding: 0;
  align-items: center;
  margin: 0;
}

.offlinedoc .background .container .message ul li.errorWarning
{
  display: flex;
  align-self: flex-start;
  flex-direction: column;
  margin: 0 10px 0 0;
  padding: 0
}

.offlinedoc .background .container .message ul li.messageText
{
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-self: flex-start;
}

.offlinedoc .background .container .message ul li.errorWarning img
{
  height: 48px;
}

.offlinedoc .background .container .message ul li.errorWarning .errorCode
{
  font-size: 10px;
}

.offlinedoc .background .container .message ul li
{
  background: none;
  background-repeat: no-repeat;
  background-position: 0 0;
  padding: 0 0 0 20px;
}

.offlinedoc .container .releasenoteslist
{
  padding: 0;
}

.offlinedoc .container .releasenoteslist .releasenotesbuildheading
{
  font-weight: normal;
  font-size: 20px;
  color: white;
  background: #429ACF;
  margin: 15px 0 5px 0;
  padding: 1px 0 1px 5px;
  text-decoration: underline;
}

.offlinedoc .container .releasenoteslist .releasenotescategoryheading
{
  color: #646464;
  font-weight: bold;
  font-size: 15px;
}

.offlinedoc .container .releasenoteslist .releasenotetext .releasenotetag 
{
  background-image: none;
  padding: 0px 5px;
  display: inline-block;
  color: white;
  background: #A7A7A7;
  vertical-align: middle;
  height: 20px;
  line-height: 20px;
  border-radius: 5px;
  margin:7px 3px;
}

.offlinedoc .releasenoteslist .releasenotescategoryheading:before 
{
  content:"";
  background: none;
  border-radius: 0;
  background-image: url('//invantive.eu/any/img/icons.svg');
  background-repeat: no-repeat;
  background-position: 30% 59%;
  background-size: 57%;
  display:inline-block;
  margin: 0;
  padding: 0 0 0 14px;
  width:15px;
  height: 21px;
}

.offlinedoc .releasenoteslist .EnhancementRequest:before 
{
  content:"";
  background-position: 30% 27%;
  height: 15px;
}

.offlinedoc .container .releasenoteslist .releasenotetext
{
  background-image: none;
  list-style-type: square;
}

.offlinedoc .container .releasenoteslist .releasenotetags
{
  margin: 0 0 0 -3px;
  padding: 0;
  list-style: none;
}

/*--------------- Tag Icons per category ------*/

.offlinedoc .container .releasenoteslist .releasenotetext .releasenotetag:before
{
  content:"";
  margin: 0;
  background-repeat: no-repeat;
}

.offlinedoc .container .releasenoteslist .releasenotetext .releasenotetag.product:before
{
  content: "";
  background-image: url('../images/sprite.svg');
  background-size: 420%;
  background-repeat: no-repeat;
  padding: 0;
  margin: 2px 3px 2px 0;
  width: 16px;
  height: 16px;
  vertical-align: top;
  display: inline-block;
}

.releasenotetag.ProductInvantiveProducer:before
{
  content:"";
  background-position: 0% 23%;
}

.releasenotetag.ProductInvantiveEstate:before
{
  content:"";
  background-position: 0% 0%;
}

.releasenotetag.ProductInvantiveVision:before
{
  content:"";
  background-position: 0% 8%;
}

.releasenotetag.ProductInvantiveControlForExcel:before
{
  content:"";
  background-position: 30% 16%;
}

.releasenotetag.ProductInvantiveWebService:before
{
  content:"";
  background-position: 100% 5.2%;
}

.releasenotetag.ProductInvantiveCompositionForWord:before
{
  content:"";
  background-position: 0% 15%;
}

.releasenotetag.ProductInvantiveQueryTool:before
{
  content:"";
  background-position: 30% 0%;
}

.releasenotetag.ProductInvantiveStudio:before
{
  content:"";
  background-position: 30% 23%;
}

.releasenotetag.ProductInvantiveBusiness:before
{
  content:"";
  background-position: 63% 55%;
}

.releasenotetag.ProductInvantiveDataHub:before
{
  content:"";
  background-position: 61% 63%;
}

.releasenotetag.ProductInvantiveBridge:before
{
  content:"";
  background-position: 0% 40%;
}


.offlinedoc .container .releasenoteslist .releasenotetext .releasenotestatus:before
{
  content:"";
  background-image:url('//invantive.eu/any/img/icons.svg');
  background-size: 95%;
  background-repeat: no-repeat;
  padding: 0;
  margin: 2px 3px 2px 0;
  width: 16px;
  height: 16px;
  vertical-align: top;
  display: inline-block;
}

.releasenotetag.Beta:before
{
  content:"";
  background-position: 0% 0%;
}

.releasenotetag.Production:before
{
  content:"";
  background-position: 0% 86%;
}

.offlinedoc .container .releasenoteslist .releasenotetext
{
  margin: 0 0 0 29px;
  padding: 0;
}

.offlinedoc .container .releasenoteslist .releasenotetext.featuring
{
  background: #DEF3FF;
  border: 1px solid #429ACF;
  padding: 5px 5px 0px 5px;
  margin: 5px 0 5px 29px;
}

.offlinedoc .container .releasenoteslist .releasenotetext img
{
  max-width: 700px;
  border-left: 5px solid #429ACF;
  margin: 5px 0 10px 0;
  padding-left: 5px;
}

.offlinedoc .container .releasenoteslist .releasenotetext .anchor:hover
{
  color: #333;
  text-decoration: none;
}

.buttonOSR
{
  margin: 5px auto;
  position: relative;
  display: table;
  width: auto;
  text-decoration: none;
  padding: 5px 15px;
  border-radius: 10px;
  text-align: left;
  background: #81CB23;
  border-bottom: 5px solid #579D00;
  outline: #fff solid 4px;
}

.buttonOSRLogo
{
  background: url("../images/logo-button.png");
  display: inline-block;
  width: 60px;
  height: 60px;
  margin-right: 15px;
}

.buttonOSR span
{
  color: white;
  text-shadow: 0 1px 2px rgba(0,0,0,.25);
}

.buttonOSRLogo
{
  vertical-align: middle;
}

.buttonOSR .buttonOSRRight
{
  display: inline-block;
  vertical-align: middle;
}

.buttonOSR .buttonOSRRight span
{
  display: block;
}

.buttonOSR .buttonOSRTry
{
  font-size: 18px;
  font-weight: bold;
}

#NavButtons ul li:nth-child(3) {
  margin-left: 20px
}

#NavButtons ul li:nth-child(1) {
  margin-right: 20px
}

.container {
  overflow-y: auto;
  height: calc(100% - 61px);
}

@media screen and (max-width:700px)
{
  .offlinedoc .background
   {
    width:100%;
  }

  .offlinedoc .container .releasenoteslist .releasenotetext img
   {
   width: 100%;
  }

  .offlinedoc .background
  {
    margin: 0;
    border-radius: 0;
  }

  .offlinedoc .container .releasenoteslist .releasenotetext .releasenotetag
  {
    margin: 5px 3px;
  }
  
  #NavButtons ul
   {
  padding: 0;
  display: inline-block;
  }

  #NavButtons 
  {
    position: relative;
    top: inherit;
    right: inherit;
    display: block;
    margin: 0 0 15px 0;
 }
 
  .background:before
  {
  content:'';
  -webkit-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
  -o-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
  margin: 0 50%;
  }
  
  #psp .psptw {
    flex:1 0 0;
    max-height: inherit;  
  }
    
  body {
    align-items: normal;
  }
    
  .psdt thead tr td {
    min-width: 15vw;
  }
}

input[type="submit"]
{
  background: #188fc7;
  border: 0;
  border-radius: 3px;
  padding: 10px 15px;
  color: #fff;
  font-weight: bold;
  font-size: 13px;
}

#query
{
    width: 100%;
  max-width: 733px;
  height: 100px;
  display: block;
}

#testrequest
{
  padding: 10px;
  background: #F0FAFF;
  border: 1px solid #9CCFE7;
  margin: 5px;
}

#testrequest ul
{
  margin: 0;
  padding: 0;
}

#testrequest ul li
{
  background: none;
  padding: 1px 0 1px 0px;
}

#testrequest label
{
  width: 100px;
  display: inline-block;
}

#testrequest li:nth-child(2) label
{
  font-weight: bold;
}

#testrequest form
{
  margin: 0;
}

.sqlGrammar
{
  background: #F0FAFF;
  border: 1px solid #9CCFE7;
  padding: 5px!important;
  margin: 5px 0;
}

table 
{
    border-collapse: separate;
    border-spacing: 0;
    margin-top: 0.75em;
    border: 0 none;
}

table > tbody > tr td
{
    border-bottom: 1px solid #ebebeb;
    border-top: 1px solid #fff;
    text-align: center;
    vertical-align: top;
    padding: 10px;
}

table > tbody > tr:first-child td
{
    border-top: 0px;
}

table > tbody > tr td:first-child, table > tbody > tr td:nth-child(2)
{
text-align: left;
}

table > tbody > tr .displaycontrol-amount, table > tbody > tr .displaycontrol-integer
{
    text-align: right;
}

table > tbody > tr td img
{
    max-height: 32px;
    max-width: 100px;
}

table > tbody > tr:nth-child(even) td
{
    background: #f6f6f6;
}

table > tbody > tr:nth-child(odd) td
{
  background: #ffffff;
}

table.dapMini > tbody > tr:first-child td
{
    background: #4b96d2;
    color: white;
    font-weight: bold;
}

.psdvString, .psdhString
{
  text-align: left;
}

.psdvIn64
{
  text-align: right;
  white-space:nowrap;
}

.psdvDateTime, .psdhDateTime
{
  text-align: center;
  white-space: nowrap;
}

table > tbody > tr:first-child td
{
    border-top: 0px;
}

table > tbody > tr:hover td
{
    background: #e5e5e5;
}

thead
{
    background: #1890d9;
    vertical-align: top;
}

th 
{
    font-size: 11px;
    border-left: 1px solid whiteSmoke;
    padding-left: 0;
    text-align: center;
}

th:first-child
{
    border: none;
}


th.checkboxheader, th.editheader
{
    padding: 10px 15px 10px 15px;
}

th a 
{
    display: block;
    position: relative;
}

th a:link, th a:visited, th a:active, th a:hover 
{
    color: #333;
    font-weight: bold;
    text-decoration: none;
}

th a:hover 
{
    color: #000;
}

th.asc a, th.desc a 
{
    margin-right: .75em;
}

th.asc a::after, th.desc a:after 
{
    display: block;
    position: absolute;
    right: 0em;
    top: 0;
    font-size: 0.75em;
}

th.asc a::after 
{
    content: '';
}

th.desc a::after 
{
    content: '';
}

thead tr td {
    font-weight: bold;
    padding: 5px 10px;
    font-size: 11px;
    word-break: break-word;
    color: white;
    min-width: 5vw;
}

td 
{
    border: 0 none;
}

th.displaycontrol-text, td.displaycontrol-text, th.displaycontrol-textarea, td.displaycontrol-textarea, th.displaycontrol-picklist, td.displaycontrol-picklist, td.displaycontrol-telephone
{
    text-align: left;
}

th.displaycontrol-integer, td.displaycontrol-integer, th.displaycontrol-checkbox, td.displaycontrol-checkbox, th.displaycontrol-datetime, td.displaycontrol-datetime
{
    text-align: center;
}

.displaycontrol-telephone a
{
    white-space: nowrap;
}

input.displaycontrol-picklist
{
    max-width: 100%;
}

input.displaycontrol-imagefromurl
{
    max-width: 100%;
}

input.displaycontrol-text
{
    max-width: 100%;
}

input[class^="displaycontrol-"]
{
    max-width: 100%;
}

textarea.displaycontrol-textarea
{
    width: 100%;
    min-height: 50px;
}

td.displaycontrol-imagefromurl img
{
    max-width:32px;
    max-height: 32px;
}

.psptw {
    display: flex;
    flex-direction: column;
    flex: 75vw 0 0;
    max-height: 80vh;
    max-width: 2000px;
    overflow-y: auto;
    background: #ececec;
    border: 10px solid #1890d8;
    outline: 1px solid white;
    padding: 20px;
    box-shadow: 0px 0px 35px -10px rgba(0, 0, 0, 0.5);
}

.traceList {
  list-style: none;
  padding: 0;
  margin: 0;
}

.traceList li {
  display: grid;
  grid-template-columns: 1fr 3fr;
  column-gap: 1rem;
  align-items: start;
}

.traceList li span:first-child {
  white-space: nowrap;
  font-weight: 600;
  overflow: hidden;
  text-overflow: ellipsis;
}


@media (prefers-color-scheme: dark) {
  .offlinedoc {
    background: #191919;
  }
  .invantiveLogo {
    background: #ffffff3d;
    height: 100%;
    margin-top: -10px;
    margin-bottom: 10px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    padding: 2px 5px;
  }
  .offlinedoc .background {
    background: #3a3a3a;
    border: 1px solid #656565;
  }
  .headerWrapper {
    background: #191919;
  }
  .container {
    color: white;
  }
  .hints {
    background: #656565;
    border: 1px solid #191919;
  }
  .hints .supportMessage {
    background: #191919;
  }
  p {
    color: white;
  }
  #NavButtons ul li a {
    color: #ffffff;
  }
  .sqlGrammar {
    background: #191919;
    border: 1px solid #656565;
  }
  #testrequest {
    background: #191919;
    border: 1px solid #656565;
  }
  #testrequest ul li {
    color: white;
  }
  .offlinedoc .background .container ul li {
    color: white
  }
  table.dapMini > tbody > tr:first-child td {
    background: #191919;
    color: white;
    font-weight: bold;
  }
  table > tbody > tr:nth-child(even) td
  {
    background: #505050;
    color: white;
    border-bottom: 1px solid #000000;
    border-top: 1px solid #000000;
  }
  table > tbody > tr:nth-child(odd) td
  {
    background: #727272;
    color: white;
    border-bottom: 1px solid #000000;
    border-top: 1px solid #000000;
  }
  .hints, .trace {
    background: #727272;
    border: 1px solid #656565;
  }
  .trace .supportMessage {
    background: black;
  }
}